Search the VMware Knowledge Base (KB)
View by Article ID

Host preparation upgrade fails with error "Agent is not deployed due to incompatible hosts" (2151053)

  • 0 Ratings

Symptoms

After upgrading from vCNS to NSX and ESXi hosts from 5.5 to 6.0:

  • Attempting the host preparation upgrade fails, you see an error similar to:
    Agent is not deployed due to incompatible hosts.

Resolution

VMware recommends performing the host preparation upgrade after the upgrade to NSX, before upgrading the hosts to new ESXi version.

To work around this issue: 

  1. Move hosts to maintenance mode.
  2. Remove the host out of the cluster.
  3. Reboot the host to remove the legacy vibs.
  4. Add the host to a new NSX prepared cluster.

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 0 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 0 Ratings
Actions
KB: